package com.glxp.mipsdl.client.axxyy;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * @author : zhuzhu
 * @date : 2025/2/28 16:04
 * @modyified By :
 */

@XmlRootElement(name = "root")
public class ProductVo<T> {

    private String code;

    private String error;
    private List<T> data;

    @XmlElement(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @XmlElement(name = "error")
    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    @XmlElementWrapper(name = "data")
    @XmlElement(name = "item") // 假设List中的元素由<item>标签包裹
    public List<T> getData() {
        return data;
    }

    public void setData(List<T> data) {
        this.data = data;
    }
}
