package com.glxp.mipsdl.entity.njxyy;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "a005")
public class A005 {
    @TableField(value = "CPMCTYMC")
    private String cpmctymc;

    @TableField(value = "THRCODE")
    private String thrcode;

    @TableField(value = "AMECODE")
    private String amecode;

    @TableField(value = "GGXH")
    private String ggxh;

    @TableField(value = "BATCHNO")
    private String batchno;

    @TableField(value = "MEASNAME")
    private String measname;

    @TableField(value = "PRICE")
    private BigDecimal price;

    @TableField(value = "PRODUCTIONDATE")
    private Date productiondate;

    @TableField(value = "EXPIREDATE")
    private Date expiredate;

    @TableField(value = "YLQXZCRBARMC")
    private String ylqxzcrbarmc;

    @TableField(value = "ZCZBHHZBAPZBH")
    private String zczbhhzbapzbh;

    @TableField(value = "MANUFACTURER")
    private String manufacturer;

    @TableField(value = "MANUFACTORYCODE")
    private String manufactorycode;

    @TableField(value = "AMOUNT")
    private BigDecimal amount;

    @TableField(value = "RECOUNT")
    private Integer recount;

    @TableField(value = "INOUTTYPE")
    private String inouttype;

    @TableField(value = "INVCODE")
    private String invcode;

    @TableField(value = "INVNAME")
    private String invname;

    @TableField(value = "CORPID")
    private String corpid;

    @TableField(value = "CORPNAME")
    private String corpname;

    @TableField(value = "REMARK")
    private String remark;

    @TableField(value = "REMARK1")
    private String remark1;

}