package com.glxp.mipsdl.client.axxyy;

/**
 * @author : zhuzhu
 * @date : 2025/3/3 11:09
 * @modyified By :
 */

public class XmlBuilder {
    public static String buildMsgHeader(String serverName, String callOperator, String certificate) {
        return "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n" +
                "<root>\n" +
                "  <serverName>" + serverName + "</serverName>\n" +
                "  <format>xml</format>\n" +
                "  <callOperator>" + callOperator + "</callOperator>\n" +
                "  <certificate>" + certificate + "</certificate>\n" +
                "</root>";
    }

    public static String buildMsgBody(String code, String name, String spell, String invalid, String isunit, String includeward, String hospart) {
        return "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n" +
                "<root>\n" +
                "  <code>" + code + "</code>\n" +
                "  <name>" + name + "</name>\n" +
                "  <spell>" + spell + "</spell>\n" +
                "  <invalid>" + invalid + "</invalid>\n" +
                "  <isunit>" + isunit + "</isunit>\n" +
                "  <includeward>" + includeward + "</includeward>\n" +
                "  <hospart>" + hospart + "</hospart>\n" +
                "</root>";
    }
}
